cURL
curl --request GET \
--url https://api.slash.com/expense-report \
--header 'X-API-Key: <api-key>'{
"items": [
{
"id": "<string>",
"legalEntityId": "<string>",
"submittedByUserId": "<string>",
"amountCents": 123,
"currency": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"destinationId": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"timestamp": "2023-11-07T05:31:56Z",
"merchant": {
"merchantV2": {
"id": "<string>",
"name": "<string>",
"isLive": true,
"isInstantCashback": true,
"metadata": {
"timestamp": "2023-11-07T05:31:56Z"
},
"heronId": "<string>",
"iconUrl": "<string>",
"logoUrl": "<string>",
"url": "<string>",
"merchantCategoryId": "<string>"
}
},
"merchantV2Id": "<string>",
"customMerchantId": "<string>",
"memo": "<string>",
"fxRateToUsd": "<string>",
"fxRateUpdatedAt": "2023-11-07T05:31:56Z",
"noReceiptReason": "<string>",
"documents": [
{
"document": {
"id": "<string>",
"accountId": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"accessLevel": "<string>",
"timestamp": "<string>",
"filename": "<string>",
"error": "<string>",
"checksum": "<string>",
"tags": [
"<string>"
],
"fileMetadata": {
"size": 123,
"type": "<string>"
}
},
"url": "<string>"
}
],
"aggregatedTransaction": {
"id": "<string>",
"date": "<string>",
"amount": {
"amount_cents": 123
}
},
"destination": {
"id": "<string>",
"accountName": "<string>",
"institution": {
"id": "<string>",
"name": "<string>"
},
"mask": "<string>",
"institutionLogo": "<string>"
},
"submittedByUser": {
"id": "<string>",
"name": {
"first": "<string>",
"last": "<string>",
"full": "<string>"
}
},
"reviewedByUser": {
"id": "<string>",
"name": {
"first": "<string>",
"last": "<string>",
"full": "<string>"
}
},
"review": {
"id": "<string>",
"expenseReportId": "<string>",
"reviewedByUserId": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"timestamp": "2023-11-07T05:31:56Z",
"rejectionReason": "<string>"
}
}
],
"metadata": {
"nextCursor": "<string>",
"count": 123
}
}Expense Report
List expense reports
List expense reports for your legal entity. Supports pagination, filtering by status and submitter, and sorting.
GET
/
expense-report
cURL
curl --request GET \
--url https://api.slash.com/expense-report \
--header 'X-API-Key: <api-key>'{
"items": [
{
"id": "<string>",
"legalEntityId": "<string>",
"submittedByUserId": "<string>",
"amountCents": 123,
"currency": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"destinationId": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"timestamp": "2023-11-07T05:31:56Z",
"merchant": {
"merchantV2": {
"id": "<string>",
"name": "<string>",
"isLive": true,
"isInstantCashback": true,
"metadata": {
"timestamp": "2023-11-07T05:31:56Z"
},
"heronId": "<string>",
"iconUrl": "<string>",
"logoUrl": "<string>",
"url": "<string>",
"merchantCategoryId": "<string>"
}
},
"merchantV2Id": "<string>",
"customMerchantId": "<string>",
"memo": "<string>",
"fxRateToUsd": "<string>",
"fxRateUpdatedAt": "2023-11-07T05:31:56Z",
"noReceiptReason": "<string>",
"documents": [
{
"document": {
"id": "<string>",
"accountId": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"accessLevel": "<string>",
"timestamp": "<string>",
"filename": "<string>",
"error": "<string>",
"checksum": "<string>",
"tags": [
"<string>"
],
"fileMetadata": {
"size": 123,
"type": "<string>"
}
},
"url": "<string>"
}
],
"aggregatedTransaction": {
"id": "<string>",
"date": "<string>",
"amount": {
"amount_cents": 123
}
},
"destination": {
"id": "<string>",
"accountName": "<string>",
"institution": {
"id": "<string>",
"name": "<string>"
},
"mask": "<string>",
"institutionLogo": "<string>"
},
"submittedByUser": {
"id": "<string>",
"name": {
"first": "<string>",
"last": "<string>",
"full": "<string>"
}
},
"reviewedByUser": {
"id": "<string>",
"name": {
"first": "<string>",
"last": "<string>",
"full": "<string>"
}
},
"review": {
"id": "<string>",
"expenseReportId": "<string>",
"reviewedByUserId": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"timestamp": "2023-11-07T05:31:56Z",
"rejectionReason": "<string>"
}
}
],
"metadata": {
"nextCursor": "<string>",
"count": 123
}
}Authorizations
api_keybearer
API key authentication for public API requests.
Keys come in two flavors:
- Legal-entity-scoped keys are pinned to a single legal entity. Minted via the dashboard under a specific entity; every request acts on that entity.
- User-scoped keys are pinned to a user and span every legal
entity that user has access to. Every request made with a
user-scoped key (except
GET /legal-entity, which lists the legal entities the user can access) must include anx-legal-entityheader naming the legal entity the request is operating on. Requests without the header are rejected with400. The authenticated user must have an active permission role on the supplied legal entity, otherwise the request is rejected with403.
Query Parameters
A cursor string to fetch the next page of results
Filter by legal entity ID. Required if authenticating with access to multiple legal entities.
Filter expense reports by status.
Available options:
pending_review, cancelled, rejected, payment_processing, payment_completed, payment_failed Filter expense reports by the user who submitted them.
Sort expense reports by a field. Default is by submittedAt descending.
Available options:
submittedAt, amountCents, transactionDate The direction to sort by. Defaults to DESC.
Available options:
ASC, DESC ⌘I